### Signal

# Meta WindowActor::first-frame

#### Declaration

    void
    first_frame (
      MetaWindowActor* self,
      gpointer user_data
    )

#### Description [src]

The ::first-frame signal will be emitted the first time a frame of window contents has been drawn by the application and Mutter has had the chance to drawn that frame to the screen. If the window starts off initially hidden, obscured, or on on a different workspace, the ::first-frame signal will be emitted even though the user doesn’t see the contents.

MetaDisplay::window-created is a good place to connect to this signal - at that point, the MetaWindowActor for the window exists, but the window has reliably not yet been drawn. Connecting to an existing window that has already been drawn to the screen is not useful.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.